Page MenuHomePhabricator

Some tests fails with AttributeError: type object 'test' has no attribute 'install_dists'
Closed, ResolvedPublic

Description

The Job:

The command "if [[ "$USE_NOSE" == "1" ]]; then nosetests --version ; if [[ "$SITE_ONLY" == "1" ]]; then python setup.py nosetests --tests tests --verbosity=2 -a "family=$FAMILY,code=$LANGUAGE" --with-trim --with-coverage --cover-package=. ; else python setup.py nosetests --tests tests --verbosity=2 --with-trim --with-coverage --cover-package=. ; fi ; elif [[ "$USE_PYTEST" == "1" ]]; then if [[ "$SITE_ONLY" == "1" ]]; then python setup.py pytest --addopts="-vvv -s --timeout=$TEST_TIMEOUT --cov=. -a \"family=='$FAMILY' and code=='$LANGUAGE'\"" ; else python setup.py pytest --addopts="-vvv -s --timeout=$TEST_TIMEOUT --cov=." ; fi else coverage run setup.py test ; fi" exited with 1.

sometimes fails with

AttributeError: type object 'test' has no attribute 'install_dists'

For example see: https://travis-ci.org/wikimedia/pywikibot/jobs/340031770

Details

Related Gerrit Patches:

Event Timeline

Xqt created this task.Feb 11 2018, 9:26 AM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptFeb 11 2018, 9:26 AM
Xqt triaged this task as High priority.Feb 11 2018, 9:26 AM

It seems to be related to pytest-runner.

Change 409842 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [bugfix] Use pytest-runner<=3.0 for py3.3

https://gerrit.wikimedia.org/r/409842

Xqt claimed this task.Feb 12 2018, 11:09 AM

Change 409842 merged by jenkins-bot:
[pywikibot/core@master] [bugfix] Use pytest-runner<=3.0 for py3.3

https://gerrit.wikimedia.org/r/409842

Dalba closed this task as Resolved.Feb 14 2018, 11:44 AM